Skip to main content
GET
/
api
/
v2
/
events
/
{eventID}
/
best-line
Get best available line for an event
curl --request GET \
  --url 'https://therundown.io/api/v2/events/{eventID}/best-line?key='
{
  "event_id": "09bfa53f8484a63e584398545c035932",
  "moneyline": {
    "moneyline_away": 155,
    "moneyline_home": -170,
    "best_affiliate_away": {
      "affiliate_id": 23,
      "affiliate_name": "FanDuel",
      "updated_at": "2026-02-12T00:10:00Z"
    },
    "best_affiliate_home": {
      "affiliate_id": 19,
      "affiliate_name": "DraftKings",
      "updated_at": "2026-02-12T00:10:00Z"
    }
  },
  "spread": {
    "point_spread_away": 4.5,
    "point_spread_home": -4.5,
    "point_spread_away_money": -105,
    "point_spread_home_money": -108,
    "best_affiliate_away": {
      "affiliate_id": 3,
      "affiliate_name": "Pinnacle",
      "updated_at": "2026-02-12T00:08:00Z"
    },
    "best_affiliate_home": {
      "affiliate_id": 23,
      "affiliate_name": "FanDuel",
      "updated_at": "2026-02-12T00:10:00Z"
    }
  },
  "total": {
    "total_over": 224.5,
    "total_under": 224.5,
    "total_over_money": -108,
    "total_under_money": -105,
    "best_affiliate_over": {
      "affiliate_id": 19,
      "affiliate_name": "DraftKings",
      "updated_at": "2026-02-12T00:10:00Z"
    },
    "best_affiliate_under": {
      "affiliate_id": 3,
      "affiliate_name": "Pinnacle",
      "updated_at": "2026-02-12T00:08:00Z"
    }
  }
}

Authorizations

key
string
query
required

API key as query parameter

Path Parameters

eventID
string
required

Canonical V2 event ID from the event_id field returned by event endpoints

Query Parameters

period
enum<string>
default:period_full_game

Period to get best line for

Available options:
period_full_game,
period_first_half,
period_second_half,
period_first_period,
period_second_period,
period_third_period,
period_fourth_period,
period_live_full_game,
period_live_first_half,
period_live_second_half,
period_live_first_period,
period_live_second_period,
period_live_third_period,
period_live_fourth_period
affiliate_ids
string

Comma-separated sportsbook/affiliate IDs to filter. Common values include DraftKings (19), FanDuel (23), BetMGM (22), Bovada (2), Pinnacle (3).

Response

200 - application/json

Best lines

event_id
string
moneyline
object
spread
object
total
object
periods
object

Period-specific best lines keyed by period name